AstroWorks

1. Hard- und Software Anforderungen

AstroWorks wurde mit VisualBasic.NET entwickelt und benötigt zum Laufen das .NET-Framework 1.1, welches bei Microsoft zum Download bereitsteht:

Microsoft® .NET Framework Version 1.1 Redistributable Package

Ich hatte bereits viele Diskussionen darüber, warum das Programm (das selbst gerade mal knapp 200KB gross ist) einen Download von 23 MB an Libraries erfordert. Ich kann nur sagen, dass ich darauf keinen Einfluss habe und das Konzept eigentlich sehr gut finde. Früher musste jede Software ihre eigenen Runtime-Libraries mitbringen, was dann bei der Installation häufig zu Versions-Konflikten führte. Mit dem .NET-Konzept muss die Runtime-Umgebung nur einmal installiert werden und alle Programme greifen darauf zu. Natürlich steckt auch hier der Teufel im Detail und manche Rechner haben Probleme mit dem .NET-Framework, wo dann oftmals nur eine komplette Neuinstallation hilft. Ich denke aber, dass auch diese Probleme im Laufe der Zeit behoben werden...